@import "../base/variable.scss";
@import "../base/mixins.scss";

.company_profile_section{
    margin-top: 100px;
    .content_area{
        text-align: center;
        margin: 0 auto;
        .header{
            h2{
                font-size: 48px;
                font-weight: 700;
                color: $light_blue;
            }
        }
        .content{
            margin-top: 30px;
            p{
                font-size: 14px;
                font-weight: 400;
                color: $offfspra2;
            }
        }
    }
}

.company_value_section{
    margin-top: 100px;
    position: relative;
    &:after{
        position: absolute;
        content: "";
        width: 100%;
        height: calc(100% - 92px);
        top: 0;
        left: 0;
        background-color: $body-2;
        z-index: 0;
    }
    .content_area{
        position: relative;
        z-index: 1;
        .header_area{
            padding-top: 70px;
            text-align: center;
            h4{
                font-size: 48px;
                font-weight: 700;
                color: $light_blue;
            }
            p{
                padding-top: 30px;
                font-size: 14px;
                font-weight: 400;
                color: $offfspra2;
            }
        }
        .parent_box{
            padding-left: 30px;
            padding-right: 30px;
            .content_box{
                margin-top: 140px;
                width: 20%;
                position: relative;
                float: left;
                padding-left: 15px;
                padding-right: 15px;
                .image_1{
                    width: 174px;
                    position: absolute;
                    z-index: 1;
                    top: -71px;
                    left: 9px;
                    right: 0;
                    img{
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                    }
                }
                .image_2{
                    width: 86px;
                    position: absolute;
                    z-index: 2;
                    top: -35px;
                    left: 63px;
                    right: 0;
                    img{
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                    }
                }
                .number{
                    position: absolute;
                    z-index: 3;
                    top: -19px;
                    left: 113px;
                    right: 0;
                    h3{
                        color: $light_blue;
                        font-size: 24px;
                    }
                }
                .image_3{
                    width: 100%;
                    height: 100%;
                    img{
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                    }
                }
                .inner_area{
                    background-color: $light_blue;
                    p{
                        font-size: 14px;
                        line-height: 21px;
                        padding:20px;
                        color: $white;
                    }
                }
                .image_4{
                    width: 100%;
                    height: 100%;
                    img{
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                    }
                }
            }
        }
    }
}
.integrated_metering_section{
    .inner_area{
        .content_area{
            .view_button{
                margin-top: 30px;
            }
        }
    }
}


/* Extra Huge large desktops */
@media (min-width: 1920px){
    .company_value_section{
        &:after{
            height: calc(100% - 108px);
        }
        .content_area{
            .parent_box{
                padding-left: 40px;
                padding-right: 40px;
            }
        }
    }
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}
@media (min-width: 1200px) and (max-width: 1399px) {
    
}
/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .company_profile_section{
        margin-top: 30px;
        .content_area{
            .header{
                h2{
                    font-size: 40px;
                }
            }
            .content{
                margin-top: 13px;
                p{
                    line-height: 21px;
                }
            }
        }
    }
    .company_value_section{
        margin-top: 30px;
        &:after{
            height: calc(100% - 80px);
        }
        .content_area{
            .header_area{
                padding-top: 40px;
                h4{
                    font-size: 40px;
                }
                p{
                    padding-top: 14px;
                }
            }
            .content_box{
                margin-top: 95px;
            }
        }
    }
    .integrated_metering_section{
        &.about_top_space{
            margin-top: 0;
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .company_profile_section{
        margin-top: 30px;
        .content_area{
            .header{
                h2{
                    font-size: 24px;
                }
            }
            .content{
                margin-top: 13px;
            }
        }
    }
    .company_value_section{
        margin-top: 30px;
        &:after{
            height: calc(100% - 59px);
        }
        .content_area{
            .header_area{
                padding-top: 28px;
                h4{
                    font-size: 24px;
                }
                p{
                    padding-top: 14px;
                    line-height: 21px;
                }
            }
            .parent_box{
                padding-left: 0px;
                padding-right: 0px;
                .content_box{
                    width: 25%;
                    margin-top: 95px;
                    .image_1{
                        width: 109px;
                        top: -45px;
                        left: 11px;
                    }
                    .image_2{
                        width: 53px;
                        top: -23px;
                        left: 47px;
                    }
                    .number{
                        top: -13px;
                        left: 77px;
                        h3{
                            font-size: 16px;
                        }
                    }
                    .inner_area{
                        p{
                            padding: 13px;
                            font-size: 13px;
                            line-height: 20px;
                        }
                    }
                }
            }
        }
    }
    .integrated_metering_section{
        &.about_top_space{
            margin-top: 0;
        }
        .inner_area{
            .content_area{
                .view_button{
                    margin-top: 15px;
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .company_profile_section{
        margin-top: 30px;
        .content_area{
            .header{
                h2{
                    font-size: 21px;
                }
            }
            .content{
                margin-top: 13px;
            }
        }
    }
    .company_value_section{
        margin-top: 30px;
        &:after{
            height: calc(100% - 50px);
        }
        .content_area{
            .header_area{
                padding-top: 28px;
                h4{
                    font-size: 21px;
                }
                p{
                    padding-top: 14px;
                    line-height: 21px;
                }
            }
            .parent_box{
                padding-left: 0px;
                padding-right: 0px;
                .content_box{
                    width: 25%;
                    margin-top: 70px;
                    .image_1{
                        width: 88px;
                        top: -37px;
                        left: 12px;
                    }
                    .image_2{
                        width: 45px;
                        top: -18px;
                        left: 37px;
                    }
                    .number{
                        top: -10px;
                        left: 63px;
                        h3{
                            font-size: 15px;
                        }
                    }
                    .inner_area{
                        p{
                            padding: 8px;
                            font-size: 12px;
                            line-height: 18px;
                        }
                    }
                }
            }
        }
    }
    .integrated_metering_section{
        &.about_top_space{
            margin-top: 0;
        }
        .inner_area{
            .content_area{
                .view_button{
                    margin-top: 15px;
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .company_profile_section{
        margin-top: 30px;
        .content_area{
            .header{
                h2{
                    font-size: 20px;
                }
            }
            .content{
                margin-top: 13px;
                p{
                    line-height: 22px;
                }
            }
        }
    }
    .company_value_section{
        margin-top: 30px;
        &:after{
            height: 100%;
        }
        padding-bottom: 20px;
        .content_area{
            .header_area{
                padding-top: 17px;
                h4{
                    font-size: 20px;
                }
                p{
                    padding-top: 14px;
                    line-height: 22px;
                }
            }
            .parent_box{
                padding-left: 0px;
                padding-right: 0px;
                .content_box{
                    margin-top: 70px;
                    width: 50%;
                    .image_1{
                        width: 135px;
                        top: -55px;
                        left: 11px;
                    }
                    .image_2{
                        width: 79px;
                        top: -29px;
                        left: 43px;
                    }
                    .number{
                        top: -10px;
                        left: 91px;
                        h3{
                            font-size: 20px;
                        }
                    }
                    .inner_area{
                        p{
                            padding: 8px;
                            font-size: 12px;
                            line-height: 18px;
                        }
                    }
                }
            }
        }
    }
    .integrated_metering_section{
        &.about_top_space{
            margin-top: 0;
        }
        .inner_area{
            .content_area{
                .view_button{
                    margin-top: 10px;
                    a{
                        &.btn-primary{
                            font-size: 13px;
                            height: 45px;
                            line-height: 45px;
                            width: 139px;
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .company_profile_section{
        margin-top: 30px;
        .content_area{
            .header{
                h2{
                    font-size: 20px;
                }
            }
            .content{
                margin-top: 13px;
                p{
                    line-height: 22px;
                }
            }
        }
    }
    .company_value_section{
        margin-top: 30px;
        &:after{
            height: 100%;
        }
        padding-bottom: 20px;
        .content_area{
            .header_area{
                padding-top: 17px;
                h4{
                    font-size: 20px;
                }
                p{
                    padding-top: 14px;
                    line-height: 22px;
                }
            }
            .parent_box{
                padding-left: 0px;
                padding-right: 0px;
                .content_box{
                    margin-top: 70px;
                    width: 50%;
                    .image_1{
                        width: 125px;
                        top: -51px;
                        left: 11px;
                    }
                    .image_2{
                        width: 71px;
                        top: -27px;
                        left: 44px;
                    }
                    .number{
                        top: -10px;
                        left: 85px;
                        h3{
                            font-size: 20px;
                        }
                    }
                    .inner_area{
                        p{
                            padding: 8px;
                            font-size: 12px;
                            line-height: 18px;
                        }
                    }
                }
            }
        }
    }
    .integrated_metering_section{
        &.about_top_space{
            margin-top: 0;
        }
        .inner_area{
            .content_area{
                .view_button{
                    margin-top: 10px;
                    a{
                        &.btn-primary{
                            font-size: 13px;
                            height: 45px;
                            line-height: 45px;
                            width: 139px;
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}